<template src="./webgl_rxdz_krpanoImg.html">

</template>
<script>
	import krpanoImg from "@/components/krpanoImg/index.vue";
	import commonPageMethod from '@/mixins/commonPageMethod.js';
	// import commonPageMethod from '@/common/commonPageMethod.js';
	export default {
		components: {
			krpanoImg
		},
		mixins: [commonPageMethod],
		/**
		 * 页面的初始数据
		 */
		data() {
			return {
				pvCurPageName: "panor",
				locusBehaviorName: "panor",
				pvCurPageParams: null,
				houseId: "",
				pvId: 'p_2cmina_23080402',
				canvas: null,
				navbar: {
					showCapsule: 1,
					title: 'panor',
					titleColor: '#000',
					navPadding: 0,
					navPaddingBg: 'transparent',
					navBarColor: 'transparent',
					navBackColor: 'transparent',
					haveCallback: true, // 如果是 true 会接手 navbarBackClk
					fromShare: false,
					fromProject: 0,
					shareToken: "",
					pageName: this.pvCurPageName,
				},
				isIOS: false,
				videoUrl:'',
				bgUrl:'',
			}
		},
		beforeDestroy() {
			console.warn("***beforeDestroy-webgl_rxdz_krpanoImg***");
		},
		mounted(options) {
			var that = this;
			console.warn("***webgl_rxdz_krpanoImg-options***", this.$route.query)
			this.isIOS = !!navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
			this.videoUrl = this.$route.query.videoUrl || '';
			this.bgUrl = this.$route.query.bgUrl || 'https://elab-marketing-web.oss-accelerate.aliyuncs.com/replicate_images/1702457671501.png';
			
		},
		methods: {
			clearHandle() {
				this.clearEvent();
			},
			updateMuted(){
				this.muted = !this.muted;
			},
			iosPlay(){
				this.videoHandle();
				this.hasOneTouch = true;
			},
			
		}
	}
</script>
<style lang="scss" scoped>
	@import "./webgl_rxdz_krpanoImg.scss";
	/* @import "@/common/css/common.css"; */
</style>